primeDTLSR(1)

NAME
primeDTLSR - Guest-in-host tree inference tool

SYNOPSIS
primeDTLSR [OPTIONS] seqfile hostfile [gsfile]

DESCRIPTION

Guest-in-host tree inference enabling reconciliation analysis using the underlying DTLRS model. Model properties:

1)  The guest tree topology evolves inside the host tree by means of duplication, loss and horizontal transfer events guided by homogeneous rates, much like a birth-death process. Lineages branch deterministically at host tree nodes.

2)  Relaxed molecular clock; sequence evolution rate variation over guest tree edges. Rates are drawn iid from specified distribution. Also, rate variation over sites may be added, using discretized gamma distribution with mean 1.

3)  Substitution model of choice; standard or user-defined. The implementation uses a discretization of the host tree to approximate the probability of all possible reconciliation realizations for the current parameter state.

The implementation uses a discretization of the host tree to approximate the probability of all possible reconciliation realizations for the current parameter state.

seqfile is a file with aligned sequences for guest tree leaves.

hostfile is a PrIME Newick file with host tree incl. divergence times. Leaves must have time 0 and root have time > 0.

gsfile is a tab-delimited file relating guest tree leaves to host tree leaves if info not included in hostfile.

OPTIONS

-h, -u, -?
    Display help (this text).

-o FILE
    Output filename. Defaults to stderr.

-s UNSIGNED_INT
    Seed for pseudo-random number generator. Defaults to random seed.

-i UNSIGNED_INT
    Number of iterations. Defaults to .

-t UNSIGNED_INT
    Thinning, i.e. sample every <value>-th iteration. Defaults to .

-w UNSIGNED_INT
    Output diagnostics to stderr every <value>-th sample. Defaults to .

-q  Do not output diagnostics. Non-quiet by default.

-m MCMC|PDHC|PD
    Execution type (MCMC, posterior density hill-climbing from initial values, or just initial posterior density). Defaults to .

-Sm UniformAA|JC69|JTT|UniformCodon|ArveCodon
    Substitution model. by default.

-Su DNA|AminoAcid|Codon <Pi=float1 float2 ... floatn> <R=float1 float2 ...float(n*(n-1)/2)>
    User-defined substitution model. The size of Pi and R must fit data type (DNA: n=4, AminoAcid: n=20, Codon: n=62). R is given as a flattened upper triangular matrix. Don't use both option -Su and -Sm.

-Sn UNSIGNED_INT
    Number of steps of discretized Gamma-distribution for sequence evolution rate variation over sites. Defaults to (no variation).

-Ed Gamma|InvG|LogN|Uniform
    Distribution for IID rate variation among edges. Defaults to .

-Ep FLOAT FLOAT
     Initial mean and variance of edge rate distribution. Defaults to and .

-Ef Fix mean and variance of edge rate distribution. Non-fixed by default.

-Gi FILE
    Filename with initial guest tree topology.

-Gg Fix initial guest tree topology, i.e. perform no branch-swapping. Non-fixed by default.

-Bp FLOAT FLOAT FLOAT
    Initial duplication, loss and transfer rates. Defaults to , and .

-Bf Fix duplication, loss and transfer rates to initial values. Non-fixed by default.

-Bt FLOAT
    Override time span of edge above root in host tree. Must be greater than 0. Defaults to file-contained value.

-Dt FLOAT
    Approximate discretization timestep. Set to 0 to divide edge generations into the same amount of parts (see -Di). Defaults to .

-Di UNSIGNED_INT
    Minimum number of discretization subintervals per edge generation. If -Dt is set 0, this becomes the exact number of subintervals. Minimum 2. @Defaults to conf_value_from_cmake_DiscMinIvs@.

-C UNSIGNED_INT
    Number of transfer counts during sampling. Defaults to .

-r  Rescale the host tree so that the root-to-leaf time equals 1.0. All inferred parameters will refer to the new scale. Off by default.

-Z  Do not print elapsed wall time and CPU time

-W  Do not print the command line

-debuginfo
    Show misc. info to stderr before iterating. Not shown by default.

EXIT STATUS

0   Successful program execution.

1   Some error occurred

URL

The prime-phylo home page: http://prime.sbc.su.se

SEE ALSO
primeDLRS(1), primeGEM(1), showtree(1), chainsaw(1), reconcile(1), reroot(1), tree2leafnames(1), treesize(1)